Difference between revisions of "Zimbra Releases/8.7.11/P6"

(Zimbra Collaboration 8.7.11 Patch 6 GA Release)
 
 
Line 9: Line 9:
  
 
=Zimbra Collaboration 8.7.11 Patch 6 GA Release=
 
=Zimbra Collaboration 8.7.11 Patch 6 GA Release=
{{WIP}}
+
 
 
Check out the '''"[[#fixed|Fixed Issues]]"'''  and '''"[[#security|Security Fixes]]"'''  for this version of Zimbra Collaboration below. As always, you’re encouraged to tell us what you think in the '''[https://forums.zimbra.org/ Forum]''', or open a support ticket.
 
Check out the '''"[[#fixed|Fixed Issues]]"'''  and '''"[[#security|Security Fixes]]"'''  for this version of Zimbra Collaboration below. As always, you’re encouraged to tell us what you think in the '''[https://forums.zimbra.org/ Forum]''', or open a support ticket.
  
Line 24: Line 24:
 
</table>
 
</table>
  
<div id="thirdparty"><font color="blue">'''OpenLDAP package 2.4.46 availability for 8.7/8.8 releases:''' </font>Please note that, OpenLDAP updated package with multival support is available in ZCS 8.7 and 8.8 repositories.  
+
<div id="thirdparty"><font color="blue">'''OpenLDAP package 2.4.46 availability for 8.7/8.8 releases:''' </font>Please note that, OpenLDAP updated package with multival support is available in ZCS 8.7 and 8.8 repositories.
 
* Upgrading to or installing 8.7/8.8 ZCS build should get the updated OpenLDAP package.  
 
* Upgrading to or installing 8.7/8.8 ZCS build should get the updated OpenLDAP package.  
 
* Also, doing yum install zimbra-ldap-components Or apt-get install zimbra-ldap-components will upgrade the OpenLDAP package
 
* Also, doing yum install zimbra-ldap-components Or apt-get install zimbra-ldap-components will upgrade the OpenLDAP package
* Please follow https://wiki.zimbra.com/wiki/Zimbra-LDAP_Multival_Configuration for Multival configuration steps
+
* Multival configuration is recommended for '''large deployments'''. Please follow https://wiki.zimbra.com/wiki/Zimbra-LDAP_Multival_Configuration for Multival configuration steps
 
</div>
 
</div>
  
Line 84: Line 84:
 
'''Note:''' For users who have the web-client open and are running the FOSS edition, the refresh notice might state that you have changed to the NETWORK Edition; however, your feature set will remain FOSS only.
 
'''Note:''' For users who have the web-client open and are running the FOSS edition, the refresh notice might state that you have changed to the NETWORK Edition; however, your feature set will remain FOSS only.
  
==Upgrade OpenLDAP package ==
+
'''Redhat: Upgrade OpenLDAP on LDAP nodes'''
===Redhat===
 
'''Upgrade OpenLDAP on LDAP nodes'''
 
 
* As root. Type
 
* As root. Type
 
  yum install zimbra-ldap-components
 
  yum install zimbra-ldap-components
Line 93: Line 91:
 
  ldap restart
 
  ldap restart
  
===Ubuntu===
+
'''Ubuntu: Upgrade OpenLDAP on LDAP nodes'''
'''Upgrade OpenLDAP on LDAP nodes'''
 
 
* As root. Type
 
* As root. Type
 
  apt-get install zimbra-ldap-components
 
  apt-get install zimbra-ldap-components
Line 100: Line 97:
 
  su - zimbra
 
  su - zimbra
 
  ldap restart
 
  ldap restart
   
+
 
 +
'''Verify LDAP Packages installed'''
 +
Verify below LDAP package versions are installed:
 +
  dpkg -l | grep ldap
 +
zimbra-ldap-components                    1.0.1-1zimbra8.7b1.14.04                                            all          Zimbra components for ldap package
 +
zimbra-openldap-client                    2.4.46-1zimbra8.7b2.14.04                                          amd64        OpenLDAP Client Binaries
 +
zimbra-openldap-lib:amd64                2.4.46-1zimbra8.7b2.14.04                                          amd64        OpenLDAP Libraries
 +
zimbra-openldap-server                    2.4.46-1zimbra8.7b2.14.04                                          amd64        OpenLDAP Server Binaries
 +
 
 +
dpkg -l zimbra-lmdb
 +
zimbra-lmdb                                  2.4.46-1zimbra8.7b2.14.04  amd64                      LMDB Binaries
 +
</div>
 +
 
 +
</div>
 +
    <div class="col-md-3">{{GuidePosts}}</div>
 
</div>
 
</div>

Latest revision as of 18:20, 16 August 2018

Zimbra Collaboration 8.7.11 Patch 6 GA Release

Check out the "Fixed Issues" and "Security Fixes" for this version of Zimbra Collaboration below. As always, you’re encouraged to tell us what you think in the Forum, or open a support ticket.

Fixed Issues

ActiveSync Logging changes: Moved Stack trace logs to debug level
Fixed Active Sync issue "Listener got cancelled after 0 seconds is thrown repeatedly" observed with client sending multiple Ping requests
Fixed Active Sync issue "Can't Move Item thrown repeatedly" observed with client sending MoveItems request for non-existent items
Build and package openldap with multival fix
OpenLDAP package 2.4.46 availability for 8.7/8.8 releases: Please note that, OpenLDAP updated package with multival support is available in ZCS 8.7 and 8.8 repositories.
  • Upgrading to or installing 8.7/8.8 ZCS build should get the updated OpenLDAP package.
  • Also, doing yum install zimbra-ldap-components Or apt-get install zimbra-ldap-components will upgrade the OpenLDAP package
  • Multival configuration is recommended for large deployments. Please follow https://wiki.zimbra.com/wiki/Zimbra-LDAP_Multival_Configuration for Multival configuration steps

Security Fixes

Information about security fixes, security response policy and vulnerability rating classification are listed below. See the Zimbra Security Response Policy and the Zimbra Vulnerability Rating Classification information below for details.

Bug# Summary CVE-ID CVSS
Score
Zimbra
Rating
Fix Release or
Patch Version
109012 Account Enumeration [CWE-203] CVE-2018-15131 5 Major 8.7.11 Patch6

Before Installing the Patch

Before installing the patch, consider the following:

  • Zimbra Collaboration patches can be found at https://www.zimbra.com/downloads/zimbra-collaboration/
  • Patches are cumulative, and delivered as a TGZ file.
  • A full backup should be performed before any patch is applied. There is no automated roll-back.
  • Zimlet patches can include removing existing Zimlets and redeploying the patched Zimlet.
  • Only files or Zimlets associated with installed packages will be installed from the patch.
  • Switch to user zimbra before using ZCS CLI commands.
  • Important! You cannot revert to the previous ZCS release after you upgrade to the patch.

Install the Patch

Note: This patch should be installed only on all mailbox nodes running in your environment.

1. Before you begin, confirm you have the following:

  • Zimbra Collaboration 8.7.11 GA installed
  • Zimbra Collaboration 8.7.11 Patch6 TGZ file

2. Copy the patch.tgz file(s) to your server.

3. Install Zimbra Collaboration 8.7.11 Patch6

  • a. Log in as root and cd to the directory where the tar file is saved. Type
tar xzf zcs-patch-8.7.11_GA_XXX.tgz
cd zcs-patch-8.7.11_GA_XXX
  • b. As root, install the patch. Type
./installPatch.sh
  • c. Switch to user zimbra
su – zimbra
  • d. ZCS must be restarted to changes to take effect. Type
zmcontrol restart

Note: For users who have the web-client open and are running the FOSS edition, the refresh notice might state that you have changed to the NETWORK Edition; however, your feature set will remain FOSS only.

Redhat: Upgrade OpenLDAP on LDAP nodes

  • As root. Type
yum install zimbra-ldap-components
  • Restart ldap as zimbra user
su - zimbra
ldap restart

Ubuntu: Upgrade OpenLDAP on LDAP nodes

  • As root. Type
apt-get install zimbra-ldap-components
  • Restart ldap as zimbra user
su - zimbra
ldap restart

Verify LDAP Packages installed Verify below LDAP package versions are installed:

dpkg -l | grep ldap
zimbra-ldap-components                    1.0.1-1zimbra8.7b1.14.04                                            all          Zimbra components for ldap package
zimbra-openldap-client                    2.4.46-1zimbra8.7b2.14.04                                           amd64        OpenLDAP Client Binaries
zimbra-openldap-lib:amd64                 2.4.46-1zimbra8.7b2.14.04                                           amd64        OpenLDAP Libraries
zimbra-openldap-server                    2.4.46-1zimbra8.7b2.14.04                                           amd64        OpenLDAP Server Binaries
dpkg -l zimbra-lmdb
zimbra-lmdb                                  2.4.46-1zimbra8.7b2.14.04   amd64                       LMDB Binaries


Try Zimbra

Try now Zimbra Collaboration without any cost with the 60-day free Trial.
Get it now »

Want to get involved?

You can contribute in the Community, in the Wiki, in the Code, or developing Zimlets.
Find out more. »

Looking for a Video?

Visit our YouTube Channel to keep posted about Webinars, technology news, Product overviews and more.
Go to the YouTube Channel »

Jump to: navigation, search